Trace Filters

/api/v2/tracefilters/{id} 📋 Copied! Get Trace Filter Details

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Responses

Code Description
200

Trace Filter data.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "filter": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
    "id": 0,
    "name": "string",
    "filter": "string",
    "projects": [
        {
            "id": 0,
            "name": "string"
        }
    ]
}
/api/v2/tracefilters/{id} 📋 Copied! Update a Trace Filter

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Request body required

{
    "name": "string",
    "filter": "string"
}

Responses

Code Description
200

Trace Filter was updated successfully.

404

Resource was not found.

/api/v2/tracefilters/{id} 📋 Copied! Delete a Trace Filter

Parameters

Name Description
id * Numeric ID of the Trace Filter.
Type: integer (path)

Responses

Code Description
200 Trace Filter was deleted successfully.
404 Resource was not found.
409 Resource cannot be deleted.
/api/v2/tracefilters 📋 Copied! List Trace Filters

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)
prj The project list for filtering entries.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
    "totalElements": 0,
    "totalPages": 0,
    "number": 0,
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "size": 0,
    "content": [
        {
            "id": 0,
            "name": "string",
            "projects": [
                {
                    "id": 0,
                    "name": "string"
                }
            ]
        }
    ],
    "first": true,
    "last": true,
    "pageable": {
        "sort": {
            "sorted": true,
            "unsorted": true,
            "empty": true
        },
        "offset": 0,
        "paged": true,
        "unpaged": true,
        "pageNumber": 0,
        "pageSize": 0
    },
    "numberOfElements": 0,
    "empty": true
}
/api/v2/tracefilters 📋 Copied! Create a Trace Filter

Parameters

No parameters

Request body required

{
    "name": "string",
    "filter": "string"
}

Responses

Code Description
201

ID of the Trace Filter.

Media type: application/json

Example Value:

{
    "id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
    "id": 0
}